%undefine __cmake_in_source_build
%global framework akonadi-mime

# uncomment to enable bootstrap mode
# global bootstrap 1
%if !0%{?bootstrap}
%global tests 1
%endif

Name:           kf5-%{framework}
Version:        23.08.5
Release:        1
Summary:        The Akonadi Mime Library
License:        LGPLv2+
URL:            https://invent.kde.org/frameworks/%{framework}
Source0:        http://download.kde.org/%{stable}/release-service/%{version}/src/%{framework}-%{version}.tar.xz

%global majmin %majmin_ver_kf5

BuildRequires:  make
BuildRequires:  cyrus-sasl-devel
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros
%global kf5_ver 5.23
BuildRequires:  kf5-kio-devel >= %{kf5_ver}
BuildRequires:  kf5-kcompletion-devel >= %{kf5_ver}
BuildRequires:  kf5-kcodecs-devel >= %{kf5_ver}
BuildRequires:  kf5-kcontacts-devel >= %{kf5_ver}

BuildRequires:  qt5-qtbase-devel
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(shared-mime-info)
BuildRequires:  iptables-libs

# global majmin_ver %(echo %{version} | cut -d. -f1,2)
%global majmin_ver %{version}
BuildRequires:  kf5-akonadi-server-devel >= %{majmin_ver}
BuildRequires:  kf5-akonadi-server-devel >= %{majmin_ver}
BuildRequires:  kf5-kmime-devel >= %{majmin_ver}

%if 0%{?tests}
BuildRequires:  kf5-akonadi-server >= %{majmin_ver}
BuildRequires:  kf5-akonadi-server-mysql
BuildRequires:  xorg-x11-server-Xvfb
%endif

# when conflicts with kdepimlibs was fixed
Conflicts:      kdepimlibs < 4.14.10-40

# split from kf5-akonadi/kdepimlibs in 16.07
Obsoletes:      kf5-akonadi < 16.07

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
# split from kf5-akonadi/kdepimlibs in 16.07
Obsoletes:      kf5-akonadi-devel < 16.07
Requires:       cmake(KF5Akonadi)
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{framework}-%{version} -p1

%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} .. \
  -DBUILD_TESTING:BOOL=%{?tests:ON}%{!?tests:OFF}
popd
%make_build  -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot}  -C %{_target_platform}

%find_lang %{name} --all-name

%check
%if 0%{?tests}
export CTEST_OUTPUT_ON_FAILURE=1
DBUS_SESSION_BUS_ADDRESS=
xvfb-run -a \
make test ARGS="--output-on-failure --timeout 30" -C %{_target_platform} ||:
%endif

%ldconfig_scriptlets

%files -f %{name}.lang
%license LICENSES/*
%{_kf5_datadir}/akonadi/plugins/serializer/
%{_kf5_datadir}/config.kcfg/specialmailcollections.kcfg
%{_kf5_datadir}/mime/packages/x-vnd.kde.contactgroup.xml
%{_kf5_datadir}/qlogging-categories5/*%{framework}.*
%{_kf5_libdir}/libKPim5AkonadiMime.so.*
%{_kf5_qtplugindir}/akonadi_serializer_mail.so

%files devel 
%if 0%{?tests}
%{_kf5_bindir}/akonadi_benchmarker
%endif
%{_kf5_archdatadir}/mkspecs/modules/qt_AkonadiMime.pri
%{_includedir}/KPim5/AkonadiMime/
%{_kf5_libdir}/cmake/KF5AkonadiMime/
%{_kf5_libdir}/cmake/KPim5AkonadiMime/
%{_kf5_libdir}/libKPim5AkonadiMime.so

%changelog
* Mon Mar 18 2024 peijiankang <peijiankang@kylinos.cn> - 23.08.5-1
- update verison to 23.08.5

* Mon Jan 15 2024 Tianze Li <litianze@uniontech.com> - 23.08.4-1
- Update package to version 23.08.4

* Fri Aug 04 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 23.04.3-1
- Update package to version 23.04.3

* Tue Apr 18 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 22.12.0-1
- Package init
